package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.DictionaryGroup;
import com.lightinit.hsdataplatform.entity.DictionaryGroupExample;

import java.util.ArrayList;
import java.util.List;

import com.lightinit.hsdataplatform.model.admin.APIServiceTypeModel;
import com.lightinit.hsdataplatform.model.admin.InfomationResourceIdAndNameModel;
import org.apache.ibatis.annotations.Param;

public interface DictionaryGroupMapper {
    long countByExample(DictionaryGroupExample example);

    int deleteByExample(DictionaryGroupExample example);

    int deleteByPrimaryKey(Long id);

    int insert(DictionaryGroup record);

    int insertSelective(DictionaryGroup record);

    List<DictionaryGroup> selectByExample(DictionaryGroupExample example);

    DictionaryGroup selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") DictionaryGroup record, @Param("example") DictionaryGroupExample example);

    int updateByExample(@Param("record") DictionaryGroup record, @Param("example") DictionaryGroupExample example);

    int updateByPrimaryKeySelective(DictionaryGroup record);

    int updateByPrimaryKey(DictionaryGroup record);

    List<InfomationResourceIdAndNameModel> queryInformationResourceTypeByDicMap(ArrayList<String> Alist);

    List<APIServiceTypeModel> getApiServiceTypes(@Param("fuwutype") String fuwutype);
}